EscapingFileNameCompletor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.interactive.completors
[Groovy] Class EscapingFileNameCompletor

    java.lang.Object
      jline.console.completer.FileNameCompleter
          grails.build.interactive.completors.EscapingFileNameCompletor

    class EscapingFileNameCompletor
    extends jline.console.completer.FileNameCompleter

JLine Completor that does file path matching like FileNameCompletor, but in addition it escapes whitespace in completions with the '\' character.

Authors:
  Peter Ledbrook

Since:
  2.0

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List candidates)`

Methods inherited from class jline.console.completer.FileNameCompleter
jline.console.completer.FileNameCompleter#complete(java.lang.String, int, java.util.List), jline.console.completer.FileNameCompleter#wait(long, int), jline.console.completer.FileNameCompleter#wait(long), jline.console.completer.FileNameCompleter#wait(), jline.console.completer.FileNameCompleter#equals(java.lang.Object), jline.console.completer.FileNameCompleter#toString(), jline.console.completer.FileNameCompleter#hashCode(), jline.console.completer.FileNameCompleter#getClass(), jline.console.completer.FileNameCompleter#notify(), jline.console.completer.FileNameCompleter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### complete

    int complete(java.lang.String buffer, int cursor, java.util.List candidates)

  Gets FileNameCompletor to create a list of candidates and then inserts '\' before any whitespace characters in each of the candidates. If a candidate ends in a whitespace character, then that is not escaped.

Groovy Documentation